User account creation filtered due to spam.

Bug 28380 - ICE compiling class implementing nested interface from class compiled from jar
Summary: ICE compiling class implementing nested interface from class compiled from jar
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: java (show other bugs)
Version: 4.1.1
: P3 major
Target Milestone: 4.3.0
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on: 28067
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-14 11:46 UTC by Benson Margulies
Modified: 2007-01-09 20:48 UTC (History)
2 users (show)

See Also:
Host: i686-pc-linux-gnu
Target: i686-pc-linux-gnu
Build: i686-pc-linux-gnu
Known to work:
Known to fail:
Last reconfirmed: 2006-08-07 16:38:21


Attachments
Source for test case (2.42 KB, application/octet-stream)
2006-07-14 11:48 UTC, Benson Margulies
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Benson Margulies 2006-07-14 11:46:32 UTC
A class compiled with the IBM Java 1.4.2 JDK defines a nested interface.

I use gcj 4.1.1 to compile the using class and the jar containing the class containing the nested interface, and I receive, in return, a segv inside the compiler.

I will post the complete repro materials.


make[1]: Leaving directory `/home/benson/rlp50/java_batch_ne/gcj_testcase/o'
(eval `/openpkg/etc/rc --eval all env`; gcj -fjni -findirect-dispatch --main=User User.java o/outer.jar)
o/Outer.java: In class 'o.Outer':
o/Outer.java: In constructor '()':
o/Outer.java:14: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
Comment 1 Benson Margulies 2006-07-14 11:48:10 UTC
Created attachment 11889 [details]
Source for test case

This tarball contains a compiled version of the 'compiled by IBM' part of the problem, as well as a Makefile to recompile it. In the outer Makefile, you will want to neutralize the 'OPENPKG' macro before running it.
Comment 2 Benson Margulies 2006-07-14 11:58:32 UTC
In the real code where I encountered this originally, the ICE was reported on the class that tried to implement the nested interface. When I boiled down the test case to what I've posted, the ICE moved to the constructor of the class that contains the nested interface. Of course, I can't tell if that means that I'm reporting the same bug as the one I originally fell over, or a different one. I wouldn't mind posting the rather large JAR file containing the real version of the nested interface if someone wants it.
Comment 3 Tom Tromey 2007-01-09 20:48:47 UTC
All gcj front end bugs have been fixed by the gcj-eclipse branch merge.
I'm mass-closing the affected PRs.
If you believe one of these was closed in error, please reopen it
with a note explaining why.
Thanks.